# Generated by Django 2.2.10 on 2020-06-24 20:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Wallet',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False, verbose_name='id')),
                ('currency', models.CharField(choices=[('btc', 'BTC')], default='btc', max_length=10, verbose_name='currency')),
                ('address', models.CharField(max_length=35, verbose_name='address')),
                ('public_key', models.TextField(verbose_name='public key')),
                ('private_key', models.TextField(verbose_name='private key')),
                ('label', models.CharField(blank=True, max_length=50, verbose_name='label')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wallets', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
            ],
            options={
                'verbose_name': 'wallet',
                'verbose_name_plural': 'wallets',
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False, verbose_name='id')),
                ('amount', models.DecimalField(decimal_places=3, max_digits=16, verbose_name='amount')),
                ('network_fee', models.DecimalField(decimal_places=3, max_digits=6, verbose_name='network fee')),
                ('platform_fee', models.DecimalField(decimal_places=3, max_digits=6, verbose_name='platform fee')),
                ('confirmations', models.IntegerField(default=int, verbose_name='confirmations')),
                ('signature', models.TextField(verbose_name='signature')),
                ('tx_number', models.CharField(max_length=64, verbose_name='tx number')),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='related_object', to='wallets.Transaction', verbose_name='parent')),
                ('receiver', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='as_receiver_transactions', to='wallets.Wallet', verbose_name='receiver')),
                ('sender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='as_sender_transactions', to='wallets.Wallet', verbose_name='sender')),
            ],
            options={
                'verbose_name': 'transaction',
                'verbose_name_plural': 'transactions',
            },
        ),
    ]
